Name:           atasm
Version:        1.06
Release:        3%{?dist}
Summary:        6502 cross-assembler

Group:          Development/Tools
License:        GPLv2+
URL:            http://atari.miribilist.com/atasm/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}106.zip
Patch0:         %{name}-1.06-defines.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  zlib-devel


%description
ATasm is a 6502 command-line cross-assembler that is compatible with the
original Mac/65 macroassembler released by OSS software.  Code
development can now be performed using "modern" editors and compiles
with lightning speed.


%prep
%setup -q -n %{name}106
%patch0 -p1


%build
pushd src
make %{?_smp_mflags} CFLAGS="$RPM_OPT_FLAGS -DZLIB_CAPABLE"
sed -e 's|%DOCDIR%|%{_docdir}/%{name}-%{version}|g' %{name}.1.in > %{name}.1
popd


%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1

pushd src
install -p -m 755 %{name} $RPM_BUILD_ROOT%{_bindir}
install -p -m 644 %{name}.1 $RPM_BUILD_ROOT%{_mandir}/man1
popd


%clean
rm -rf $RPM_BUILD_ROOT


%check
pushd tests
make test


%files
%defattr(-,root,root,-)
%doc LICENSE VERSION.TXT docs/atasm.blurb docs/atasm.pdf
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*


%changelog
* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.06-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Apr  7 2009 Dan Horák <dan[at]danny.cz> - 1.06-2
- don't compress the man page

* Thu Mar 19 2009 Dan Horák <dan[at]danny.cz> - 1.06-1
- update to 1.06

* Sun Oct  7 2007 Dan Horák <dan[at]danny.cz> - 1.05-0.1.beta
- initial Fedora version
